%define pypi_name pycryptodomex

#
# When updating this pkg, please, update also python-pycryptodome
#

Name:           python-%{pypi_name}
Version:        3.15.0
Release:        %mkrel 1
Summary:        Cryptographic library for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pycryptodomex
Source0:        %{pypi_source}

%description
PyCryptodome is a self-contained Python package of low-level cryptographic primitives.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PyCryptodome is a self-contained Python package of low-level cryptographic primitives.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files Cryptodome

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Wed Sep 07 2022 neoclust <neoclust> 3.15.0-1.mga9
+ Revision: 1885340
- New version  3.15.0

* Fri Mar 18 2022 umeabot <umeabot> 3.14.0-3.mga9
+ Revision: 1799118
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 3.14.0-2.mga9
+ Revision: 1775445
- Rebuild for python-3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 3.14.0-1.mga9
+ Revision: 1771285
- version 3.14.0

* Fri Mar 26 2021 ovitters <ovitters> 3.10.1-2.mga9
+ Revision: 1710490
- rebuild for Python 3.9

* Wed Mar 03 2021 guillomovitch <guillomovitch> 3.10.1-1.mga9
+ Revision: 1697527
- new version 3.10.1

* Sat Aug 29 2020 wally <wally> 3.9.8-1.mga8
+ Revision: 1619659
- new version 3.9.8

* Wed Feb 26 2020 wally <wally> 3.9.7-1.mga8
+ Revision: 1550792
- new version 3.9.7

* Thu Feb 20 2020 umeabot <umeabot> 3.9.6-2.mga8
+ Revision: 1546955
- Mageia 8 Mass Rebuild

* Wed Feb 05 2020 wally <wally> 3.9.6-1.mga8
+ Revision: 1487310
- new version 3.9.6

* Thu Nov 28 2019 wally <wally> 3.9.4-1.mga8
+ Revision: 1463338
- new version 3.9.4

* Sat Nov 16 2019 wally <wally> 3.9.3-1.mga8
+ Revision: 1461171
- new version 3.9.3

* Thu Sep 05 2019 wally <wally> 3.9.0-2.mga8
+ Revision: 1437678
- rebuild for python3.8
- drop python2 support

* Fri Aug 30 2019 wally <wally> 3.9.0-1.mga8
+ Revision: 1435292
- new version 3.9.0

* Tue Aug 13 2019 wally <wally> 3.8.2-1.mga8
+ Revision: 1429208
- new version 3.8.2

* Sat Apr 13 2019 wally <wally> 3.8.1-1.mga7
+ Revision: 1389810
- new version 3.8.1

* Sun Mar 31 2019 wally <wally> 3.8.0-1.mga7
+ Revision: 1383587
- new version 3.8.0

* Sun Mar 17 2019 wally <wally> 3.7.3-1.mga7
+ Revision: 1378238
- new version 3.7.3

* Thu Jan 10 2019 shlomif <shlomif> 3.7.2-1.mga7
+ Revision: 1354004
- Rebuild for python3 3.7

* Wed Sep 12 2018 daviddavid <daviddavid> 3.6.6-1.mga7
+ Revision: 1258658
- new version: 3.6.6, fixes CVE-2018-15560 (mga#23542)

* Sun Aug 05 2018 wally <wally> 3.6.4-2.mga7
+ Revision: 1247887
- fork version which can coexist with PyCrypto
- new version 3.6.4
- add conflicts for PyCrypto

* Sat Jun 23 2018 kekepower <kekepower> 3.6.3-1.mga7
+ Revision: 1239242
- Update to version 3.6.3

* Wed Mar 14 2018 kekepower <kekepower> 3.5.1-1.mga7
+ Revision: 1209341
- Update to version 3.5.1

* Sat Mar 03 2018 guillomovitch <guillomovitch> 3.4.11-1.mga7
+ Revision: 1206358
- imported package python-pycryptodome

